Export Planned vs Actual Progress and Percent Complete Breakdown as Excel

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /public/v2/projects/{projectId}/scenarios/{scenarioId}/planned-vs-actual-progress.xlsx

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required

Query parameters

  • filterId array[integer(int64)]
  • activityCodeFilter array[integer(int64)]
  • dataDate string

Responses

  • 200 application/vnd.ms-excel

    OK

GET /public/v2/projects/{projectId}/scenarios/{scenarioId}/planned-vs-actual-progress.xlsx
curl \
 --request GET 'https://live.smartpmtech.com/public/v2/projects/{projectId}/scenarios/{scenarioId}/planned-vs-actual-progress.xlsx' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"